%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-common-core
Version:          2.2.18
Release:          %mkrel 4
Summary:          JBoss Common Classes
Group:            Development/Java
License:          LGPLv2+ and ASL 1.1
URL:              http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/common/common-core/tags/2.2.18.GA/ jboss-common-core-2.2.18.GA
# tar cafJ jboss-common-core-2.2.18.GA.tar.xz jboss-common-core-2.2.18.GA
Source0:          %{name}-%{namedversion}.tar.xz
# The URLLister* family of classes was removed because the apache-slide:webdavlib is a dead project and the classes aren't used in JBoss AS 7 at all. 
Patch0:           %{name}-%{namedversion}-URLLister-removal.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-ear-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-ejb-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-parent
BuildRequires:    junit4
BuildRequires:    jboss-logging

Requires:         jboss-logging
Requires:         jpackage-utils
Requires:         java

%description
JBoss Common Core Utility classes

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

rm -rf projectSet.psf .settings/ .project .classpath

%build
# Some failed tests
# Failed tests: testJavaLangEditors(org.jboss.test.util.test.propertyeditor.PropertyEditorsUnitTestCase):
#   PropertyEditor: org.jboss.util.propertyeditor.BooleanEditor, getAsText() == expectedStringOutput ' expected:<null> but was:<null>
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Mon Dec 16 2013 dmorgan <dmorgan> 2.2.18-4.mga4
+ Revision: 557820
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.18-2.mga3
+ Revision: 354916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.2.18-1.mga3
+ Revision: 291842
- New version

* Fri Aug 05 2011 dmorgan <dmorgan> 2.2.17-1.mga2
+ Revision: 131956
- Clean spec file

  + gil <gil>
    - imported package jboss-common-core


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging


